<?php 
declare(strict_types=0);
// session_start();
foreach($_GET  as $key => $value){${$key}=trim($value);} 
foreach($_POST as $key => $value){${$key}=trim($value);} 
include_once('lib_main.php');

if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
$empr0=data_maes('empr',$cfg_empr);

if(empty($user_codigo)){include('user_login0.php');return;}
if(empty($docu)){$docu='BTC1';}

// $ipip_acceso=val_ipip($ipip,$scri);
// if(empty($ipip_acceso)){include('user_login0.php');return;}


$modu=strtolower($modu);
$docu=strtoupper($docu);
$plvh=strtoupper($plvh);

$empr0=data_maes('empr',$cfg_empr);
$modu0=data_maes('modu',$modu);
$user0=data_maes('user',$user_codigo);

//  echo '====='.$_SERVER['REMOTE_ADDR'];

// echo '======= '.$modu;
// var_dump2($modu0);

$tpos=2;
if(empty($modu)){$modu='btcr';}
if(substr($docu,0,3)=='AVS'){$modu='avso';}

    
$tabla=$modu0['docu_tabla'];

if(!empty($idnum1))
{
//      $sql_docu='select * from '.$tabla.'1 left join '.$tabla.'2 on idnum1=idnum2 where idnum1="'.$idnum1.'" order by iddet desc limit 1';
//      $res_docu=msql_query($sql_docu,$link_data);
//      $data_docu=msql_fetch_assoc($res_docu);
//      foreach($data_docu as $campo => $valor){${$campo}=trim($valor);} 
}

$cant=1;

if(empty($ptoe)){$ptoe = $user0['user_ptoe'];}
if(empty($ptoe)){$ptoe = $_COOKIE['ptoe'];}
// if(empty($ptoe) and $tpos<=2){$ptoe=$user0['user_ptoe'];}
if(empty($vndd)){$vndd=$user0['user_cedula'];}
// if(empty($modu)){$modu='vtas';}
if(empty($format)){$format=1;}
if(empty($tpos)){$tpos=2;}
if(empty($tpre)){$tpre=2;}
if(empty($ptoe))
{
     $sql_ptoe='select * from '.$modu.'1 where iuser="'.$user_codigo.'" order by idnum1 desc limit 1';
     $res_ptoe=msql_query($sql_ptoe,$link_data);
     $ptoe=msql_result($res_ptoe,0,'ptoe');
}

set_hora2btc($modu,$docu,$ptoe);


if($format==1){$info=substr($modu,0,2).'det2';}
if($format==2){$info=substr($modu,0,2).'deta';}
if($format==3){$info=substr($modu,0,2).'blog';}

if($tpos==1){$info=substr($modu,0,2).'det1';}
if($tpos==2){$info=substr($modu,0,2).'det2';}
if($tpos==3){$info=substr($modu,0,2).'det2';}

$info=substr($modu,0,2).'blog';
// $info=substr($modu,0,2).'det2';
$info_descri='BITACORA';
// $info_descri=$xtitle;
// if($info=='vtblog'){$info_descri='PTO.EMISION';}

// if(empty($docu)){$docu='FC10';}

$docu0=data_maes('docu',$docu);
$item0=data_maes('item',$item);
$ptoe0=data_maes('ptoe',$ptoe);

// $xtitulo='GARITA';
$xtitle='GARITA';
$xtitle='BITACORA';

// echo '==='.$docu;
if(substr($docu,0,3)=='AVS')
{$xtitle='AVISOS';}
// echo '==='.$xtitle;


$xtopcenter=$xtitle;
if(!empty($docu)){$xtitle.=' /'.$docu;}
if(!empty($numero)){$xtitle.='-'.$numero;}
if(empty($fecha)){$fecha=date('Y-m-d');}

$fecha_min=date('Y-m-d');
$fecha_max=date('Y-m-d');
if ($cfg_empr=='span')
   {
     $fecha_min='2024-04-01';
   }
$idnum1='';

// echo '*/*/*'.$info;

// if(!empty($docu)  and !empty($ptoe) and !empty($numero))
if(!empty($docu)  and !empty($ptoe) )
{
     include('sele_info.php');
}

if(!empty($sql_info))
{
     $sql_info1=$sql_info;
     $sql_info1=str_replace('group by idnum1,iddet','group by idnum1',$sql_info1);
     $res_info1=msql_query($sql_info1,$link_data);
     
//      $subt_iva=msql_result($res_info1,0,'subt_iva_hide');
//      $subt_iva0=msql_result($res_info1,0,'subt_iva0_hide');
//      $tiva=msql_result($res_info1,0,'iva');
//      $total=msql_result($res_info1,0,'total');
//      $pvp=msql_result($res_info1,0,'total')/msql_result($res_info1,0,'cant');
     
     $plvh=msql_result($res_info1,0,'plvh');
     
     $claveacc=msql_result($res_info1,0,'claveacc_hide');
     $iuser=msql_result($res_info1,0,'iuser_hide');
     
     if(msql_num_rows($res_info1)!=0)
     {
          $subt_iva0=number_format($subt_iva0,2);
          $subt_iva=number_format($subt_iva,2);
          $tiva=number_format($tiva,2);
          $total=number_format($total,2);
     }
          
     $res_info=msql_query($sql_info,$link_data);
     if(!empty($numero))
     {
          $idnum1=msql_result($res_info,0,'idnum1_hide');
          $edit=msql_result($res_info,0,'b_o');
          
          $data_head=data_docu($docu,$idnum1);
          foreach($data_head as $key => $value){${$key}=trim($value);} 
     }

     $plvh0=data_maes('plvh',$plvh);
     $wsapp=$plvh0['plvh_wsapp'];     
}


// datalist
{
     
$fecha1=date('Y-m-d',strtotime('-3 days'));     
$ztabla='plvh';
$zwhere ='(plvh_codigo in (select plvh from btcr1 left join btcr2 on idnum1=idnum2 where fecha>="'.$fecha1.'") ';
$zwhere.='or plvh_codigo in (select plvh from avso1 left join avso2 on idnum1=idnum2 where fecha>="'.$fecha1.'"))';
include('ele_datalist.php');

     
     
// echo '===='.$modu;     
$ztabla='enti';
{$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from '.$modu.'1) and length(trim(enti_codigo))=10)';}
     
if($modu=='avso')
{$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from '.$modu.'1 where iuser="'.$user0['user_codigo'].'") and length(trim(enti_codigo))=10 )';}
// {$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from '.$modu.'1) and length(trim(enti_codigo))=10 and iuser='.$user0['user_codigo'].')';}
include('ele_datalist.php');
              
$ztabla='ppdd';
// {$zwhere='(ppdd';}
include('ele_datalist.php');
              
// $ztabla='item';
// $zlpre='pvp1';     
// $zwhere='(item_descri like "GARA%")';
// include('ele_datalist.php');
     
$ztabla='docu';
$zwhere='(docu_tabla="'.$modu.'")';
include('ele_datalist.php');

echo '<datalist id="dlpuni"></datalist>';
echo '<datalist id="dlpvp"></datalist>';
echo '<datalist id="dldcto"></datalist>';

}


// PANTALLA FILTROS
// echo '<div id="filtros" noprint >';
echo '<div id="filtros"  >';
{
     
// OCULTOS
//      echo '<input id="ipip" value="'.$ipip.'">';
//      echo '<input id="ipip" value="'.$scri.'">';
echo '<div hide>';   
{
//      echo '<input id="fpag" value="01">';
//      echo '<input id="ipip" value="'.$ipip.'">';
     echo '<input id="modu" value="'.$modu.'">';
//      echo '<input id="docu" value="'.$docu.'">';
     echo '<input id="info" value="'.$info.'">';
     echo '<input id="tpos" value="'.$tpos.'">';
//      echo '<input id="idnum1" value="'.$idnum1.'">';
     echo '<input id="stfin" value="'.$stfin.'">';
     echo '<input id="iddet" value="">';
     echo '<input id="fechah" value="'.date('Y-m-01',strtotime('-30 month')).'">';
}     
echo '</div>';     
          
$zobj=2;     
include('ele_break.php');
     
$zid='btn_nuevo'; 
$zlabel='Nuevo';
$zalign='right';
$zonclick='{fn_nuevo();}';
// $zsize=1.8;     
$zhide=1;     
include('ele_button.php');
         
$zid='fecha';
$ztype='date';
$zlabel='Fecha';
$zvalue=$fecha;
$zmin=$fecha_min;     
$zmax=$fecha_max;     
$zreado=2;
{$zhide=1;}
include('ele_input.php');  
     
$zid='docu';
$zlabel='Docum.';
$zvalue=$docu;
$ztabla='docu';
$zwhere='(docu_tabla="'.$modu.'")';
if(!empty($docu)){$zreado=2;}
$zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&tpos="+document.getElementById("tpos").value+"&docu="+document.getElementById("docu").value+"&ptoe="+document.getElementById("ptoe").value;}';
$zonchange=$zonblur;
// if($tpos<=2){$zobj=1;}     
// if($tpos<=2){$zreado=1;}     
// if($tpos<=2){$zlist='nolist';}
$zhide=1;     
include('ele_select.php');

// $zobj=4;     
$zid='ptoe';
$ztabla='ptoe';
$zlabel='🅿 Garita';
$zvalue=$ptoe; 
$zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&tpos="+document.getElementById("tpos").value+"&docu="+document.getElementById("docu").value+"&ptoe="+document.getElementById("ptoe").value;}';
$zonchange=$zonblur;
$zsize=1.1;
$zexact=1;     
$zreado=2;     
// $zhide=1;     
include('ele_select.php');

$zid='btn_print'; 
$zlabel='Impri.';
$zalign='right';
$href='?scri=info_docu3&prnt=1&docu='.$docu.'&idnum='.$idnum1.'&pgsize=T65';  
if($stfin==1)
{$href='?scri=info_docu3&prnt=1&docu='.$docu.'&idnum='.$idnum1.'&pgsize=P65';}
$zonclick='{print_url("'.$href.'");}';
if(empty($idnum1)){$zhide=1;}     
if(empty($numero)){$zhide=1;}
$zsize=1.8;     
include('ele_button.php');
     
     
// $zobj=1;
// include('ele_break.php');
     
     
$zid='numero';
// $zlabel='🎫🧾 Ticket ';
$zlabel='🧾 Ticket ';
// if($stfin==1)
// {$zlabel='📝 Factura';}
$zvalue=(int)$numero;
$zmin=1;
$zmax=9999999;     
$zclass='numeric-int';
$zreado=2;     
$zondblclick='{document.getElementById("'.$zid.'").style.width="'.round(7*2/3,2).'em";}';     
$zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){document.getElementById("idnum1").value="";fn_consulta();}}';
$zbackcolor='grey';
$zfontcolor='white';
$zsize=1.1;     
$zhide=1;     
include('ele_input.php');
     
         

     
if(!empty($ptoe))
{
     
$zsize=2;     
include('ele_break.php');
     
$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
$zonclick='{fn_consulta(event);}';
$zhide=1;     
include('ele_button.php');

     $zid='btn_grabar'; 
     $zlabel='NO AUTORIZA';
     $zalign='right';
     $zonclick='{document.getElementById("docu").value="BTC3";save_docu(event);}';
     $zsize=1.1;
     $zbackcolor='darkred';   
     $zfontcolor='white';  
     $zhide=1;
     include('ele_button.php');
     
     
     
     $zid='btn_grabar'; 
     $zlabel='▲ _SALIDA';
     $zalign='right';
     $zonclick='{document.getElementById("docu").value="BTC2";save_docu(event);}';
     $zsize=1.1;
//      $zbackcolor='cyan';   
     $zbackcolor='deepskyblue';   
//      $zbackcolor='gold';   
//      $zfontcolor='white';   
     include('ele_button.php');
     
     
     $zid='btn_grabar'; 
     $zlabel='▼ INGRESO';
     $zalign='right';
     $zonclick='{document.getElementById("docu").value="BTC1";save_docu(event);}';
     $zsize=1.1;
     $zbackcolor='green';   
     $zfontcolor='white';   
     include('ele_button.php');
     
     
     
     
     
{
     $zid='enti';
     $zlabel='👤 Cédula';
     $ztabla='enti';
     $zdefa='';
     $zsize=1.1;
     $zlist='dl_enti';
//      if($modu=='btcr'){$zexact=1;}
     $zonenter='{fn_btcr1(event,this.value);}';
     $zonblur=$zonenter;
     
     include('ele_input.php');
     

     
     

//      $zobj=1;
     $zsize=1;
     include('ele_break.php');

     
     
     $zid='plvh';
     $zlabel='🚘 Vehículo';
     $ztabla='plvh';
     $zsize=1.1;
     include('ele_input.php');

     $zobj=1;
     $zid='propietario';
     $zlabel='Propietario Vehículo';
     $zdefa='';
     $zsize=1;
     $zwidth=20;
     {$zreado=1;}
     include('ele_input.php');
     
     $zobj=1;
     include('ele_break.php');
     
//      🚪🏢
     $zid='ppdd';
     $zlabel='🏠 Destino';
     $ztabla='ppdd';
     $zsize=1.1;
//      $zlist='dl_ppdd';
//      $zvalue=$ppdd;
//      $zwidth=5;
//      if(!empty($numero)){$zreado=2; $zdefa=$hora1;}
     include('ele_input.php');

     $zobj=1;
     include('ele_break.php');
     
//      📞
     $zid='wsappr1';
     $zlabel='📱 WsApp 1';
     $zvalue=$wsappr1;
     $ztype='number';
     $zreado=1;
     {$zonclick='{send_wsapp(document.getElementById("wsappr1").value);}';}
     include('ele_input.php');
     
     
     $zid='wsappr2';
     $zlabel='📱 WsApp 2';
     $zvalue=$wsappr2;
     $ztype='number';
     $zreado=1;
     {$zonclick='{send_wsapp(document.getElementById("wsappr2").value);}';}
     include('ele_input.php');
     
     
     $zobj=1;
     include('ele_break.php');
     
     $zsize=1.1;
     $zid='motivo';
     $zvalue=$motivo;
     $zlabel='Motivo';
     $zoptions='';
     $zoptions.='Otro;';
     $zoptions.='Visita;';
     $zoptions.='Familia;';
     $zoptions.='Servicio;';
     $zoptions.='Pedido;';
     $zoptions.='Mensajero;';
     $zoptions.='Taxi;';
     $zoptions.='Residente;';
     $zexact=1;
//      if(!empty($numero)){$zreado=1;}
     include('ele_select.php');
     
     $zsize=1.1;
     $zid='detalle';
     $zlabel='🖹 Nota';
     $zvalue=$detalle;
     
//      if(!empty($numero)){$zreado=1;}
     if(!empty($numero) and $fecha==date('Y-m-d'))
     {
//           $zsave=1;
//           $zsavet=$modu;
//           $zsavec=$idnum1;
//           $zsavef='detalle';
     }   
     
     include('ele_input.php');
     
     
//      $zobj=1;
//      include('ele_break.php');
     
//      $zid='pvp';
//      $zlabel='$';
//      if(getPlatform()!='Android')
//      {$zlabel='&#128178;';}
//      $zlabel='💲';
//      $zvalue=number_format($pvp,2);
//      $zwidth=2;
//      $zmax=999;
//      $zreado=1;
//      $zsize=1.1;
//      if(empty($numero)){$zhide=1;}
//      $zhide=1;
//      include('ele_input.php');
     
//      $zid='total';
//      $zlabel='Total $';
//      if(getPlatform()!='Android')
//      {$zlabel='Total &#128178;';}
//      $zlabel='💲Total';
//      $zvalue=number_format($total,2);
//      $zwidth=3;
//      $zmax=999;
//      $zreado=1;
//      $zsize=1.1;
//      if(empty($numero)){$zhide=1;}
//      $zhide=1;
//      include('ele_input.php');

     
     
//      $zobj=1;
//      include('ele_break.php');

     
     
     $zsize=1;
     include('ele_break.php');
     
     if($tpos==2)
     {
     $zid='wsapp';
     $zlabel='📱 Celular';
     $zvalue=$wsapp;
     $ztype='number';
     $zsize=1.1;
     if(empty($numero)){$zreado=1; }  
//      if($docu=='BTC1')
     {$zhide=1;}
     include('ele_input.php');
          
          
     $zid='nombre';
     $zlabel='Nombre';
     $zvalue=$nombre;
     $zsize=1.1;
     if($docu=='BTC1'){$zhide=1;}
     include('ele_input.php');
     
//      $zid='email';
//      $zlabel='e-mail';
//      $zvalue=$email;
//      $zsize=1.1;
//      $zhide=1;
//      include('ele_input.php');
          
     }
     
     
//      $zid='hora1';
//      $zlabel='⌚ Hora';
//      $zvalue=$hora1;
//      $zsize=1.1;
//      $ztype='time';
//      $zdefa=date('H:i');
//      $zmin=date('H:i',strtotime('-500 minutes'));
//      $zmax=date('H:i',strtotime('+5 minutes'));
//      if(!empty($numero)){$zreado=2; $zdefa=$hora1;}
//      $zreado=2;
// //      if(empty($numero)){$zhide=1;}
// //      $zhide=1;
//      include('ele_input.php');
     
     
     
//      $zid='hora2';
//      $zlabel='⏰ Sale';
//      $zsize=1.1;
//      $ztype='time';
//      $zvalue=$hora2;
//      if(empty($stfin))
//      {$zvalue=date('H:i');}    
//      $zmin=date('H:i',strtotime('-500 minutes'));
//      if($zmin>date('H:i')){$zmin='00:00';}
//      $zmax=date('H:i',strtotime('+1 minutes'));
//      if(empty($numero)){$zhide=1;}
// //      if($stfin==1){$zreado=1;}    
//      $zreado=1;
//      include('ele_input.php');

//      $zid='tiempo';
//      $zlabel='Tiempo';
// //      if(getPlatform()!='Android')
// //      {$zlabel="&#9203;";}
//      $zlabel="⏳";
//      $zvalue=$hora3;
//      $zsize=1.1;
//      $zwidth=4;
//      if(empty($numero)){$zhide=1;}
//      $zreado=1;
//      include('ele_input.php');

     
     
     
     $cant=1;
     $zobj=4;
     $zid='cant';
     $zlabel='Cant.';
     $zvalue=$cant;
     $zdefa=1;
     $zmin=0;
     $zmax=9999;
     $zwidth=5;
     $zclass='numeric-dec';
     $zhide=1;
     include('ele_input.php');


//      if($cost=='true')
     {
     $zid='puni';
     $zlabel='P.Unit';
     $zvalue=$puni;
     $zmin=0;
     $zmax=9999.99;
     $zclass='numeric-dec';
     $zlist='dlpuni';
     $zsize=1.1;
     $zlabel='Tarifa';
     $zreado=1;     
     $zhide=1;
     include('ele_input.php');
          
     $zobj=4;
     $zid='iva';
     $zlabel='% IVA';
     $zvalue=$iva;
     $zmin=0;
     $zmax=9999;
     $zclass='numeric-dec';
     $zlist='dliva';
     $zsize=0.9;
     $zhide=1;
     include('ele_input.php');
          
     $zalign='right';
     $zid='total';
     $zlabel='Total $';
     $zvalue=$total;
     $zclass='numeric-dec';
     $zwidth=7;
     $zmax=99999.99;
     $zsize=1.1;
     $zreado=1;
     $zhide=1;     
     include('ele_input.php');
          
          
     }


     
}

$zid='btn_final'; 
// $zlabel='Finalizar';
$zlabel='Check OUT';
$zalign='right';
$zonclick='{fn_finalizar();}';
// if(!empty($numero) and empty($edit)){$zhide=1;}     
// if(empty($numero)){$zhide=1;}     
// if($stfin==1){$zhide=1;}  
     
if(!empty($numero)){$zhide=0;}  
if(empty($numero)){$zhide=1;}  
// $zbackcolor='darkred';   
     
$zsize=1.1;
$zhide=1;     
include('ele_button.php');
     

// $zid='btn_grabar'; 
// $zlabel='Grabar';
// $zalign='right';
// $zonclick='{if(document.getElementById("plvh").value!=""){save_docu(event);}}';
// $zonclick='{save_docu(event);}';
// $zsize=1.1;
// $zbackcolor='lightgreen';   
// include('ele_button.php');
     
     
$zobj=2;     
include('ele_break.php');

}
     
// TITULO     
     
     

}     



// RESULTADO
$sty_resu='float:right;';
$sty_resu='margin:0 auto;';
echo '<span id="main2" style="'.$sty_resu.'"  >';
{
     if(gettype($res_info)!='NULL')
     {
          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=0;
          $zgfsize=0.9;
          $zheightrow='3';
//           $zblockidnum=1;
          $zblockfield='fecha';
          $zhidebtns=1;
          include('ele_grid.php');     
     }
}     
echo '</span>';     


echo '</div>';


// $zid='btn_wsapp'; 
// $zlabel='WsApp';
// $zalign='right';
// if(!empty($numero))
// {$zonclick='{send_wsapp(document.getElementById("wsapp").value);}';}
// $zsize=1.1;
// if(empty($numero)){$zhide=1;}  
// $zsize=1.1;
// include('ele_button.php');
     
$zlabel='Historial';
include('ele_break.php');

echo '<div align="center" height="auto" id="divextra1" unselectable="on" onmousedown="return false;" onselectstart="return false;">';
echo '</div>';
// echo '<div style="clear:both;">&#127380; : '.$idnum1.'</div>';


?>

<script>
function fn_btcr1(event)
{
     var enti,plvh,fecha,fechah,xsrc='?';
     enti=document.getElementById('enti').value;
     plvh=document.getElementById('plvh').value;
     fecha=document.getElementById('fecha').value;
     fechah=document.getElementById('fechah').value;
     document.getElementById('divextra1').innerHTML='';
     
//      alert(fechah);
     if(enti.length>3)
     {
          var datapost,dato;
          datapost=new FormData();
          datapost.append('script','info_modu3');
          datapost.append('modu','btcr');
          datapost.append('info','bthist');
          datapost.append('enti',enti);
          datapost.append('plvh',plvh);
          datapost.append('fecha1',fechah);
          datapost.append('fecha2',fecha);
          datapost.append('docu','BTC1');
          datapost.append('prnt','1');
          datapost.append('zhidebtns','1');
          datapost.append('zhidehead','1');
          dato=exe_ajax(datapost,'divextra1','',true);
     
     }
     
}
</script>



<script>
function fn_consulta(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;
     
     document.getElementById("main2").innerHTML='Espere...';
     location.href=xhref;
}
</script>

<script>
function fn_nuevo(event)
{
     var enti;
     swal.fire({
          icon:'warning',
          title:'Nuevo Documento',
          text:'Continuar ?',
          confirmButtonText:'Nuevo',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:60000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
                    document.getElementById("fecha").value="";
                    document.getElementById("numero").value="";
                    document.getElementById("enti").value="";
                    document.getElementById("ppdd").value="";
                    document.getElementById("idnum1").value="";
                    document.getElementById("hora1").value="";
                    document.getElementById("plvh").value="";
                    document.getElementById("wsapp").value="";
                    document.getElementById("stfin").value="";
//                     enti=document.getElementById("enti").value;
//                     {document.getElementById("enti").value="";}
//                     enti=document.getElementById("codt").value;
//                     {document.getElementById("codt").value="";}
                    fn_consulta(event);
               }
          })
}     
</script>


<script>
function fn_deledeta(event)
{
     anul_docu(document.getElementById('docu').value,document.getElementById('idnum1').value,'ALL');
     return;
}          
</script>

<script>
function fn_finalizar(event)
{
     swal.fire({
          icon:'warning',
          title:'Finalizar Documento',
          text:'Continuar ?',
          confirmButtonText:'Finalizar',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:10000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
               document.getElementById("stfin").value="1";
               document.getElementById("iddet").value="1";
               save_docu(event);
               }
          })
}
</script>


<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<!-- <script>calc_subtot()</script> -->
<?php if (empty($numero)) { ?>
<script>document.getElementById('plvh').focus();</script>
<?php } ?>

<?php if (!empty($numero)) { ?>
<script>document.getElementById('plvh').focus();</script>
<?php } ?>

<script>
function send_wsapp(wsapp='')
{
     var url='',texto='',phone='',link='';
     
     link='https://<?php echo strtolower($empr0['empr_codigo']); ?>.vcrxol.com/?scri=info_docu3&prnt=1';
     link=link+'&pgsize='+'<?php if($stfin==1){echo 'P';}else{echo 'T';} ?>';
     link=link+'&clave='+'<?php echo $claveacc; ?>';
     link=encodeURIComponent(link);
     link='';
     
     var enti=document.getElementById('enti').value.trim();
     var plvh=document.getElementById('plvh').value.trim();
     
     var enti_descri=document.getElementById('enti_r').innerHTML.trim();
     var plvh_descri=document.getElementById('plvh_r').innerHTML.trim();
     var plvh_propie=document.getElementById('propietario').value.trim();

     if(enti==='' && plvh_propie==='')
     {
          var mensaje='';
          mensaje=mensaje+'<result>';
          mensaje=mensaje+'<text>Digite Cédula o Placa</text>';
          mensaje=mensaje+'</result>';
          swal_fire(mensaje);
          return;
     }
     
     var eol='%0A';
     var tab='%09';
     var tabcolon='%09: ';
     texto ='*=== AVISO - ELECTRONICO ===*';
     texto+=eol;
     texto+='📆 Fecha' +tabcolon +date_now();
     texto+=eol;
     texto+='⌚ Hora' +tabcolon +time_now();
     texto+=eol;
     if(enti!='')
     {
          texto+='👤 Vistante' +tabcolon +enti+' => ' +enti_descri;
          texto+=eol;
     }
     if(plvh!='')
     {
          texto+='🚘 Vehiculo' +tabcolon +plvh+' => ' +plvh_descri;
          texto+=eol;
          if(plvh!='')
          {
               texto+='🚘 Nombre' +tabcolon +plvh_propie;
               texto+=eol;
          }
     }
     
     
//      texto=encodeURIComponent(texto);
     
     
     if(wsapp==='')
     {
          var mensaje='';
          mensaje=mensaje+'<result>';
          mensaje=mensaje+'<text>Digite Número</text>';
          mensaje=mensaje+'</result>';
          swal_fire(mensaje);
          return;
     }
     
     wsapp.substring(wsapp.length-10);
     wsapp=String(wsapp).padStart(10, '0');
     phone='593';
     phone='593'+wsapp;
     
     url=url+'https://api.whatsapp.com/send/';
     url=url+'?phone='+phone;
     url=url+'&text='+texto;
     
//      url=encodeURIComponent(url);
     
     window.open(url,'_blank');
}
</script>


<script>
var idleTime;     
$(document).ready(function () {
     var xseconds=0;
     reloadPage(xseconds);
     $('html').bind('mousemove click mouseup mousedown keydown keypress keyup submit change mouseenter scroll resize dblclick', function () {
       clearTimeout(idleTime);
       reloadPage(xseconds);
     });
});
</script>



